Subject: bug#25777: 25.1; [PATCH] `rectangle--pos-cols' should not move point

From: Drew Adams <[email-masked]>
Date: Thu, 2 Mar 2017 10:13:36 -0800 (PST)

> My suggestion, since I think we've both had our say and are
> unlikely to convince one another on the level of principle
> or guideline, is for you to please make the fix.
> 
> Since it is you who will kindly make the actual code change
> and commit, you should/can do it however you like.  I have
> no problem with that.
> 
> But do you really need another patch for that, especially
> since wrapping widely, a single time, is so much simpler? ;-)
> Could you please make the change?  Your way is fine by me,
> for this.  Thx.

Here is a possible doc string for the renamed `rectangle-pos-cols':

"Return cons (START-COLUMN . END-COLUMN) of columns delimiting a rectangle.
START and END are buffer positions of the rectangle corners.

Optional argument WINDOW is the window displaying the rectangle.
It defaults to the selected window."

I'm not sure it is accurate, but I think so.  (I'm no expert on this.)